using System.Xml;
using System.Xml.XPath;
using System.Xml.Xsl;
using System.IO;

// Chapter\CSharpCodeBehind.cs

namespace ViewState.Controls
{
	public class MyTextBox : System.Web.UI.WebControls.TextBox
	{
		public MyTextBox()
		{
			base.EnableViewState = false;
		}
	}

}
namespace myCsCodeBehind
{ 
	using System;
	using System.Web.UI.WebControls;
	using ViewState.Controls;

	public class XMLXSLdisplay : System.Web.UI.UserControl
	{ 

		public System.Web.UI.HtmlControls.HtmlGenericControl contentHTMLArea;

		// This filenameMessage variable holds the filename of the xml file we want to process.
		public System.Web.UI.WebControls.Label xmlFilename;
		public System.Web.UI.WebControls.Label xsltFilename;

		public XPathDocument myXPathDoc;
		public XmlDocument myXmlDoc;

		public XslTransform myXslTrans;

		protected void Page_Load(object sender, EventArgs e)
		{ 
			// Of course we don't want the label that holds the filename to be visible.
			xmlFilename.Visible=false;
			xsltFilename.Visible=false;
			

			xmlFilename.Text=Server.MapPath("")+"\\xml\\"+xmlFilename.Text;
			xsltFilename.Text=Server.MapPath("")+"\\xml\\"+xsltFilename.Text;

			myXPathDoc = new XPathDocument(xmlFilename.Text);			
			myXslTrans = new XslTransform() ;
			myXslTrans.Load(xsltFilename.Text);
			StringWriter sw = new StringWriter();
			myXslTrans.Transform(myXPathDoc,null,sw);
			string result=sw.ToString();
			contentHTMLArea.InnerHtml=result;
			
			

			if (!IsPostBack)
			{ 
				// When page originally accessed... 
	

			} // if page postbacked to...

		}
	}
}